Data types
==========

shape
-----

.. doxygenstruct:: migraphx::internal::shape
   :members:
   :undoc-members:

literal
-------

.. doxygenstruct:: migraphx::internal::literal
   :members:
   :undoc-members:

argument
--------

.. doxygenstruct:: migraphx::internal::argument
   :members:
   :undoc-members:

raw_data
--------

.. doxygenstruct:: migraphx::internal::raw_data
   :members:
   :undoc-members:

.. doxygenfunction:: template<class T, class ...Ts> auto migraphx::internal::visit_all(T &&x, Ts&&... xs)


tensor_view
-----------

.. doxygenstruct:: migraphx::internal::tensor_view
   :members:
   :undoc-members:
